/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class GeometryReport {

	@XmlAttribute(name = "type", required = true)
	private GeometryReportType type;

	@XmlAttribute(name = "gml_id", required = false)
	private String gmlId;

	@XmlAttribute(name = "lod", required = true)
	private GeometryReportLod lod;

	@XmlElement(name = "parent", required = true)
	private ParentReport parent;

	public void setGmlId(String gmlId) {
		this.gmlId = gmlId;
	}

	public void setLod(GeometryReportLod lod) {
		this.lod = lod;
	}

	public void setParent(ParentReport parent) {
		this.parent = parent;
	}

	public void setType(GeometryReportType type) {
		this.type = type;
	}

	public String getGmlId() {
		return gmlId;
	}

	public GeometryReportLod getLod() {
		return lod;
	}

	public ParentReport getParent() {
		return parent;
	}

	public GeometryReportType getType() {
		return type;
	}

}
